View Issue Details

IDProjectCategoryView StatusLast Update
0026051LazarusIDEpublic2014-05-12 14:34
ReporterDmitry ZhylkoAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform32OSWindowsOS VersionXP
Product Version1.2.0Product Build44303 
Target VersionFixed in Version1.4 
Summary0026051: Moves the code window after changing the active tab
DescriptionThis bug is reproduced if a portion of the window to move off the screen. When you change the tab window is aligned with the edge of the screen. This is repeated at the close of code hints.
Example.
Before: http://imagizer.imageshack.us/a/img836/7316/kj56.png
After: http://imagizer.imageshack.us/a/img835/3230/vv58.png

Correcting the problems I see in the optional disable or full correction of this problem. This problem causes discomfort when coding.
Additional InformationOther platforms and OS not tested.
TagsNo tags attached.
Fixed in Revision44801
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0026140 resolvedOndrej Pokorny Lazarus Source editor window jumps to top of screen when any tab clicked 
related to 0023839 resolvedOndrej Pokorny Packages Multi-monitor issue with project restore 

Activities

Martin Friebe

2014-04-21 19:08

manager   ~0074493

Just a note: I agree the behaviour is not desirable, if you click the tab, or change the tab, in any way while the window is already focused.

But, if the window is activated by a click on an error message (or search result, or from the designer) then it may be needed. Though it would not be related to tab changes. But removing it from Tab changes, must ensure it is preserved for other cases.

Reason for this cases is, that they all attempt to show a specific position in the source code. And this source may be scrolled anywhere in the window. So the window must be visible then. (Or at least an option must exist to provide such behaviour as default / Indeed an option may be nice, but exceeds the scope of this issue).

Similar consideration of when and how to automatically move windows can be applied to nearly all IDE windows. Discussion of such (if desired) should be placed on the mail list.

---
My rephrasing of this issue would be:

Changing Active-Tab or activating the Source window (if activating is *NOT* result of jumping to a specific source location), should not change the position of the window, if the window is at least partly visible (to be defined: minimum visible amount).

May need review of previous issues and feature requests that may have led to the current behaviour.

Martin Friebe

2014-04-24 02:06

manager   ~0074554

Please test and close if ok

Dmitry Zhylko

2014-04-28 11:53

reporter   ~0074639

Yes, it works.

Issue History

Date Modified Username Field Change
2014-04-21 09:45 Dmitry Zhylko New Issue
2014-04-21 17:59 Martin Friebe Assigned To => Martin Friebe
2014-04-21 17:59 Martin Friebe Status new => assigned
2014-04-21 19:08 Martin Friebe Note Added: 0074493
2014-04-24 02:06 Martin Friebe Fixed in Revision => 44801
2014-04-24 02:06 Martin Friebe LazTarget => 1.4
2014-04-24 02:06 Martin Friebe Note Added: 0074554
2014-04-24 02:06 Martin Friebe Status assigned => resolved
2014-04-24 02:06 Martin Friebe Fixed in Version => 1.4
2014-04-24 02:06 Martin Friebe Resolution open => fixed
2014-04-28 11:53 Dmitry Zhylko Note Added: 0074639
2014-04-28 11:54 Dmitry Zhylko Status resolved => closed
2014-05-10 23:30 Martin Friebe Relationship added related to 0026140
2014-05-12 14:34 Martin Friebe Relationship added related to 0023839